Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface PostalAddress

All Superinterfaces:
  ExtensibleObject

public interface PostalAddress
extends ExtensibleObject

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`String` | `getCity()`
`String` | `getCountry()`
`String` | `getPostalCode()`
`ClassificationScheme` | `getPostalScheme()`
`String` | `getStateOrProvince()`
`String` | `getStreet()`
`String` | `getStreetNumber()`
`String` | `getType()`
`void` | `setCity(String city)`
`void` | `setCountry(String coutry)`
`void` | `setPostalCode(String code)`
`void` | `setPostalScheme(ClassificationScheme scheme)`
`void` | `setStateOrProvince(String state)`
`void` | `setStreet(String street)`
`void` | `setStreetNumber(String number)`
`void` | `setType(String type)`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Method Detail

### getCity

    public String getCity()
                   throws JAXRException

  Throws:
    `JAXRException`

### getCountry

    public String getCountry()
                      throws JAXRException

  Throws:
    `JAXRException`

### getPostalCode

    public String getPostalCode()
                         throws JAXRException

  Throws:
    `JAXRException`

### getPostalScheme

    public ClassificationScheme getPostalScheme()
                                         throws JAXRException

  Throws:
    `JAXRException`

### getStateOrProvince

    public String getStateOrProvince()
                              throws JAXRException

  Throws:
    `JAXRException`

### getStreet

    public String getStreet()
                     throws JAXRException

  Throws:
    `JAXRException`

### getStreetNumber

    public String getStreetNumber()
                           throws JAXRException

  Throws:
    `JAXRException`

### getType

    public String getType()
                   throws JAXRException

  Throws:
    `JAXRException`

### setCity

    public void setCity(String city)
                 throws JAXRException

  Throws:
    `JAXRException`

### setCountry

    public void setCountry(String coutry)
                    throws JAXRException

  Throws:
    `JAXRException`

### setPostalCode

    public void setPostalCode(String code)
                       throws JAXRException

  Throws:
    `JAXRException`

### setPostalScheme

    public void setPostalScheme(ClassificationScheme scheme)
                         throws JAXRException

  Throws:
    `JAXRException`

### setStateOrProvince

    public void setStateOrProvince(String state)
                            throws JAXRException

  Throws:
    `JAXRException`

### setStreet

    public void setStreet(String street)
                   throws JAXRException

  Throws:
    `JAXRException`

### setStreetNumber

    public void setStreetNumber(String number)
                         throws JAXRException

  Throws:
    `JAXRException`

### setType

    public void setType(String type)
                 throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.